@import 'colors';

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
}

.forkapp {
    width: 100%;
    height: 718px;
    background-image: url(/img/img\ 1.png);
    background-position: center;
}

.logo-header-name {
    font-size: 0.5px;
    opacity: 0;
}

.logo-header {
    width: 42px;
    height: 40px;
    margin-left: 10px;
    position: relative;
}

.buynow {
    background-color: $primary;
    font-size: 14px;
    color: $whitecolor;
    font-weight: 700;
    border: none;
    border-radius: 30px;
    padding: 12px 10px;
    position: relative;
}

.nav-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
    width: 100%;
    height: 103px;
    background-color: #27262A;
}

.nav-bar {
    display: grid;
    align-items: center;
    height: 83px;
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

.nav-menu {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    list-style: none;
    text-align: center;
    width: 70%;
    justify-self: end;
}

.nav-links {
    color: $whitecolor;
    text-decoration: none;
}

.nav-links:hover {
    color: $whitecolor;
    transition: all 0.2s ease-out;
}

.menu-toggle .bar {
    width: 18px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
    background: $whitecolor;
}

.app-header {
    position: relative;
    color: $whitecolor;
    font-size: 42px;
    text-align: center;
    padding-top: 45px;
}

.fork-app-text {
    position: relative;
    color: $primary;
    font-size: 14px;
    line-height: 24px;
    width: 60%;
    margin: 0 auto;
    text-align: center;
    padding-top: 15px;
}

.text-style-fork {
    font-weight: 400;
}

.version-text {
    position: relative;
    color: var(--grey);
    font-size: 14px;
    line-height: 24px;
    text-align: center;
    padding-top: 15px;
}

@media screen and (max-width: 480px) {
    .nav-container {
        position: relative;
    }

    .nav-menu {
        display: grid; 
        grid-template-columns: auto;
        background: #333333;
        margin: 0;
        width: 100%;
        opacity: 0;
        position: absolute;
        height: 364px;
        top: 103px;
    }

    .border-style {
        border-bottom: 5px solid rgb(255,255,255, 0.1);
        border-bottom-width: 3px;        
    }

    .nav-menu.active {
        opacity: 1;
        transition: all 0.5s ease;
    }

    .nav-links {
        padding-top: 45px;
        font-size: 26px;
        line-height: 26px;
        width: 100%;
        display: table;
        text-align: start;
        padding-left: 30px;
    }

    .nav-links:hover {
        border-left: 10px solid $primary;
        color: $primary;
        transition: all 0.4s ease-out;
    }

    .nav-bar {
        width: 100%;
    }

    #mobile-menu {
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    .menu-toggle .bar {
        display: block;
        cursor: pointer;
    }

    .menu-toggle:hover {
        cursor: pointer;
    }

    #mobile-menu.is-active .bar:nth-child(2) {
        opacity: 0;
    }

    #mobile-menu.is-active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }
    
    #mobile-menu.is-active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

}

@media screen and (min-width: 480px) and (max-width: 992px) {
    .nav-container {
        padding-top: 10px;
        display: flex;
        flex-wrap: wrap;

    }

    .buynow {
        width: 15%;
        position: relative;
        padding: 8px 8px;
        left: 60%;
    }
    
    .nav-menu {
        padding-top: 15px;
        position: absolute;
        text-align: center;
        width: 90%;
        align-self: start;
        right: 6%;
    }

    .nav-links {
        text-decoration: none;
        font-size: 14px;
        color: $primary;
        font-weight: 700;

    }

    .logo-header-name {
        opacity: 1;
        font-size: 22px;
        color: $primary;
        font-weight: 400;
        padding-top: 5px;
        padding-left: 10px;
    }

    .logo-img-header {
        display: flex;
        flex-direction: row;
    }

    .app-header {
        font-size: 52px;
    }
    
    .fork-app-text {
        width: 100%;
        font-size: 17px;
    }
    
    .version-text {
        font-size: 16px;
    }

    .nav-links:hover {
        color: $whitecolor;
        transition: all 0.4s ease-out;
    }

}

@media screen and (min-width: 992px) and (max-width: 1200px) {
    .logo-header {
        margin-left: 40px;
    }

    .nav-container {
        padding-top: 5px;
        display: flex;
        flex-direction: row;
        background-color: transparent;
    }

    .buynow {
        width: 15%;
        position: relative;
        padding: 8px 8px;
        left: 65%;
    }
    
    .nav-menu {
        position: absolute;
        text-align: center;
        width: 55%;
        align-self: center;
        right: 17%;
    }

    .nav-links {
        text-decoration: none;
        font-size: 13px;
        color: $primary;
        font-weight: 700;

    }

    .logo-header-name {
        opacity: 1;
        font-size: 22px;
        color: $primary;
        font-weight: 400;
        padding-top: 5px;
        padding-left: 10px;
    }

    .logo-img-header {
        display: flex;
        flex-direction: row;
    }

    .app-header {
        font-size: 56px;
    }
    
    .fork-app-text {
        width: 100%;
        font-size: 18px;
    }
    
    .version-text {
        font-size: 17px;
    }

}

.revolution-editor-container {
    position: relative;
    width: 100%;
    max-width: 1600px;
    background-color: $whitecolor;
    padding-top: 40px;
}

.trial-info {
    display: flex;
    justify-content: center;
    color: var(--grey);
    font-size: 14px;
    position: relative;
    padding-bottom: 50px;
}

.heading-editor {
    position: relative;
    top: 15%;
    text-align: center;
    padding-top: 66px;
    font-size: 36px;
    font-weight: 700;
    color: var(--lavander);
    padding-bottom: 40px;
}

.paragraph-part {
    position: relative;
    top: 25%;
    text-align: center;
    line-height: 25px;
    margin: auto;
    width: 70%;
    font-size: 14px;
    padding-bottom: 25px;
}

.style-button {
    border-radius: 5px;
    border-style: solid;
    border-width: 1px;
    border-color: #C0C0C0;
    background-color: $whitecolor;
    height: 26px;
    width: 106px;
}

.in-button {
    display: flex;
    flex-direction: row;
    background:linear-gradient($whitecolor,  #DCDCDC);
    height: 24px;
    width: 66px;
}

.button-icon-style {
    padding-top: 8px;
    padding-left: 5px;
    width: 20px;
    height: 20px;
}

.button-icon-2 {
    padding-top: 6px;
}

.button-icon-3 {
    padding-top: 5px;
    width: 22px;
    height: 22px;
}

.button-name-style {
    color: var(--dark-grey);
    font-size: 11px;
    padding-top: 6px;
    padding-left: 4px;
}

.button-name-2 {
    padding-left: 5px;
    padding-right: 16px;
}

.button-name-3 {
    padding-left: 5px;
    padding-right: 17px;
}

.number-style {
    color: var(--dark-grey);
    font-size: 10px;
    padding-top: 7px;
}

.number-1 {
    padding-left: 10px;
}

.number-2 {
    padding-left: 6px;
}

.button-part-1 {
    display: flex;
    flex-direction: row;
    column-gap: 16px;
}

.buttons-section {
    position: relative;
    top: 40%;
    display: grid;
    grid-auto-flow: row;
    justify-content: center;
    grid-row-gap: 18px;
}

.button-part-2 {
    position: relative;
    display: flex;
    justify-content: center;
}

@media screen and (min-width:481px) and (max-width: 992px) {
    .trial-info {
        font-size: 14px;
    }

    .heading-editor {
        font-size: 36px;
        position: relative;
        width: 100%;
    }

    .paragraph-part {
        width: 75%;
        font-size: 18px;
        padding-top: 10px;
        line-height: 22px;
    }

    .buttons-section {
        position: relative;
        display: grid;
        grid-auto-flow: column;
        grid-column-gap: 16px;
        padding-bottom: 0;
    }
}

@media screen and (min-width:992px) and (max-width: 1200px) {
    .trial-info {
        font-size: 16px;
    }

    .heading-editor {
        font-size: 48px;
        position: relative;
        width: 100%;
    }

    .paragraph-part {
        width: 75%;
        font-size: 19px;
        padding-top: 10px;
        line-height: 22px;
    }

    .buttons-section {
        position: relative;
        display: grid;
        grid-auto-flow: column;
        grid-column-gap: 16px;
    }
}

.container-info {
    background-color: $whitecolor;
    padding-top: 100px;
    width: 100%;
    height: 1470px;
    top: 93%;
    right: 0%;
    display: flex;
    flex-direction: column;
}

.heading-container-info {
    position: relative;
    color: $primary;
    font-size: 33px;
    text-align: center;
    width: 75%;
    margin: 0 auto;
}

.heading-container-info-2 {
    opacity: 0;
    font-size: 1px;
}

.code { 
    width: 100%;
    height: auto;
    padding-top: 20px;
}

.gallery-post {
    display: flex;
    flex-direction: column;
    padding-top: 25px;
}

.style-post {
    margin: 0 auto;
}

.heading-text {
    position: relative;
    text-align: center;
    color: var(--grey-black);
    font-size: 18px;
    line-height: 35px;  
    font-weight: 400;  
    padding-top: 15px;  
}

.dicription {
    padding-top: 10px;
    text-align: center;
    font-size: 14px;
    color: var(--grey);
    line-height: 24px;
    margin: 0 auto;
    width: 80%;
}

@media screen and (min-width:320px) and (max-width: 480px) {
    .container-info {
        margin-bottom: 150px;
    }
}


@media screen and (min-width:481px) and (max-width: 992px) {
    .container-info {
        margin-bottom: 10px;
        height: 1370px;
    }

    .code { 
        width: 100%;
        height: auto;
        padding-top: 100px;
    }

    .heading-container-info {
        padding-bottom: 35px;
        font-size: 40px;
        text-align: center;
        width: 100%;
        margin: 0 auto;
    } 

    .gallery-post {
        flex-direction: row;
    }

    .post {
        width: 131px;
        height: 80px;
        padding-left: 23px;
    }

    .heading-text {
        padding-top: 0;
        text-align: left;
    }

    .info-container-1 {
        position: relative;
        padding-left: 23px;
    }

    .info-container-2 {
        position: relative;
        padding-left: 39px;
    }

    .info-container-3 {
        position: relative;
        padding-left: 41px;
    }

    .info-container-4 {
        position: relative;
        padding-left: 28px;
    }

    .dicription {
        text-align: left;
        width: 90%;
        margin: 0;
    }    
}

@media screen and (min-width:992px) and (max-width: 1200px) {
    .container-info {
        margin-top: 80px;
        background-color: var(--white-grey);
        height: 830px;
        top: 74%;
        right: 0%;
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    .heading-container-info {
        opacity: 0;
        font-size: 0.5px;
    }

    .heading-container-info-2 {
        opacity: 1.0;
        font-size: 37px;
        color: $primary;
        position: relative;
        padding-left: 10px;
    }

    .gallery-post {
        flex-direction: row;
    }

    .post {
        width: 131px;
        height: 80px;
        padding-left: 20px;
    }

    .heading-text {
        padding-top: 0;
        text-align: left;
    }

    .info-container-1 {
        position: relative;
        padding-left: 23px;
    }

    .info-container-2 {
        position: relative;
        padding-left: 39px;
    }

    .info-container-3 {
        position: relative;
        padding-left: 41px;
    }

    .info-container-4 {
        position: relative;
        padding-left: 28px;
    }

    .dicription {
        text-align: start;
        width: 96%;
        margin: 0;
        font-size: 13px;
    }    

    .info-container-2 {
        position: relative;
    }

    .code { 
        position: relative;
        width: 100%;
        height: 520px;
        margin-bottom: 200px;
    }
}

.about-container {
    width: 100%;
    height: 4750px;
    position: relative;
    background-image: url(/img/testmonials-bg\ 2.png);
    background-repeat: no-repeat;
    background-size: 100% 100%;  
}

.heading-3 {
    padding-top: 40px;
    font-weight: 700; 
    position: relative;
    color: $whitecolor;
    line-height: 50px;
    font-size: 35px;
    text-align: center;
    width: 70%;
    margin: 0 auto;
}

.gallery-3 {
    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;

} 

.logo-img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding-top: 70px;
    position: relative;
}

.logo-text {
    position: relative;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    color: $whitecolor;
    padding-top: 30px;
    font-style: italic;
    font-size: 16px;
    line-height: 24px;
    width: 65%;
}

.about-text {
    padding-top: 80px;
    text-align: center;
    font-size: 14px;
    color: #A291A5;
    line-height: 24px;
    margin: 0 auto;
    width: 65%;
    position: relative;
    font-weight: 400;
}

.line-sp {
    position: relative;
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding-top: 40px;
    width: 85%;
}

.fork-container {
    position: relative;
}

.heading-fork {
    color: $whitecolor;
    font-size: 37px;
    text-align: center;
    padding-top: 40px;
    padding-bottom: 40px;
}

.card-bg-style {
    background-color:rgb(255,255,255, 0.1);
    position: relative;
    height: 457px;
    width: 260px;
    margin: 0 auto;
}

.name-container {
    height: 90px;
    width: 260px;
    background-color:rgb(255,255,255, 0.2);
}

.name-1 {
    top: 7%;
    left: 29%;
}

.name-style {
    font-size: 22px;
    line-height: 24px;
    font-weight: 400;
    color:$whitecolor;
    position: absolute;
}

.price-style {
    padding-top: 25px;
    line-height: 90px;
    font-weight: 700;
    color: $whitecolor;
    position: absolute;
}

.price {
    font-size: 46px;
    left: 32%;
}

.line-style {
    position: relative;
    padding-top: 60px;
    left: 36%;
}

.duration-style {
    color: $whitecolor;
    font-size: 13px;
    line-height: 16px;
    font-weight: 400;
    position: relative;
    text-align: center;
    padding-top: 110px;
}

.personal-style {
    font-size: 16px;
    color: $whitecolor;
    line-height: 20px;
    font-weight: 400;
    position: absolute;
    padding-top: 10px;
    line-height: 30px;
}

.personal{
    top: 66%;
    left: 22%;
}

.purchase-style {
    background-color:rgb(255,255,255, 0.2);
    font-size: 16px;
    color: $whitecolor;
    border: none;
    position: absolute;
    top: 80%;
    left: 19%;
    padding: 14px 30px;
    border-radius: 30px;
}
.personal-1 {
    width: 70%;
    left: 14%;
    text-align: center;
}

.card-container-fork {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    grid-row-gap: 6px;
}

.name-2 {
    top: 7%;
    left: 17%;
}

.name-container-1 {
    height: 111px;
    width: 299px;
    background-color:rgb(0,0,0, 0.2);
}

.name-3 {
    position: relative;
    text-align: center;
    padding-top: 43px;
}

.price-3 {
    font-size: 72px;
    position: relative;
    text-align: center;
}

.card-bg-style-2 {
    width: 300px;
    height: 560px;
    background-color: var(--dark-violet);
    margin: 0 auto;
    padding-bottom: 20px;
    position: relative;
}

.duration-3 {
   padding-top: 10px;
}

.line-3 {
    left: 41%;
}

.personal-3{
    text-align: center;
    position: relative;
    width: 60%;
    margin: 0 auto;
    padding-top: 20px;   
}

.card-3 {
    margin-top: 90px;
}

.name-4 {
    position: relative;
    text-align: center;
    padding-top: 35px;
}

.price-1 {
    position: relative;
    text-align: center;
    font-size: 46px;
}

.purchase-3 {
    background-color:rgb(255,255,255, 0.2);
    font-size: 16px;
    color: $whitecolor;
    border: none;
    position: absolute;
    top: 80%;
    left: 26%;
    padding: 14px 30px;
    border-radius: 30px;
}

.duration-4 {
    color: $whitecolor;
    font-size: 13px;
    line-height: 16px;
    font-weight: 400;
    position: relative;
    text-align: center;
}

.line-4 {
    position: relative;
    padding-top: 60px;
    left: 38%;
}

.personal-2 {
    text-align: center;
    width: 90%;
    left: 6%;
}

@media screen and (min-width:992px) and (max-width: 1200px) {
    .about-1 {
        display: grid;
        grid-template-rows: 1fr 1fr;
        grid-template-columns: 1fr 1fr 1fr;
    }

    .logo-text {
        font-size: 12px;
        line-height: 24px;
        width: 95%;
    }

    .text-about-st {
        padding-top: 50px;
    }

    .text-about-st-3 {
        padding-top: 40px;
    }

    .about-text {
        width: 85%;
    }

    .heading-fork {
        margin-top: 30px;
        margin-bottom: 80px;
    }

    .card-container-fork  {
        padding-top: 300px;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        grid-template-rows: 0;
        grid-column-gap: 10px;
        width: 40%;
        align-items: center;
        position: relative;
        justify-content: center;
        margin: 0 auto;
    }

    .card-3 {
        margin-top: 0px;
    }

    .about-container {
    height: 1650px;
    }

    .card-bg-style {
        width: 240px;
    }

    .name-container {
        width: 240px;
    }

    .card-bg-style-2 {
        width: 280px;
        
    }

    .name-container-1 {
        width: 280px;
    }
}

@media screen and (min-width:480px) and (max-width: 992px) {
    
    .about-1 {
        display: grid;
        grid-template-rows: 1fr 1fr 1fr;
        grid-template-columns: 1fr 1fr;
    }

    .logo-text {
        font-size: 12px;
        line-height: 24px;
        width: 90%;
    }

    .text-about-st {
        padding-top: 38px;
    }

    .gl-stl {
        padding-top: 38px;
    }

    .about-text {
        width: 85%;
        font-size: 13px;
    }

    .heading-fork {
        margin-top: 30px;
        margin-bottom: 20px;
    }

    .card-container-fork  {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        grid-column-gap: 10px;
        width: 40%;
        align-items: center;
        position: relative;
        justify-content: center;
        margin: 0 auto;
    }

    .card-3 {
        margin-top: 0px;
    }

    .about-container {
        height: 2450px;
    }

}

